[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# WideSameStr

Check whether two widestrings are the same (case sensitive)

## Declaration

Source position: syswideh.inc line 21

`function WideSameStr(`
`const s1: WideString;`
`const s2: WideString`
`):Boolean;`

## Description

WideSameStr returns True if WideCompareStr returns 0 (zero), i.e. when S1 and S2 are the same string (taking into account case).

## See also

WideSameText |  | Check whether two widestrings are the same (ignoring case)
WideCompareStr |  | Compare two widestrings (case sensitive)
WideCompareText |  | Compare two widestrings (ignoring case).
AnsiSameStr |  | Checks whether 2 strings are the same (case sensitive)